%define major 3.1
%define libname %mklibname xerces-c %{major}
%define devname %mklibname xerces-c -d

Summary:	Xerces-C++ validating XML parser
Name:		xerces-c
Version:	3.1.1
Release:	9
Epoch:		1
License:	Apache
Group:		System/Libraries
Url:		http://xml.apache.org/xerces-c/
Source0:	http://apache.dataphone.se/xerces/c/3/sources/%{name}-%{version}.tar.gz
BuildRequires:	icu
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(zlib)

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%files
%{_bindir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Xerces-c library
Group:		System/Libraries

%description -n %{libname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the shared xerces-c library.

%files -n %{libname}
%{_libdir}/libxerces-c-%{major}.so

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files for Xerces-C++ validating XML parser
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	xerces-c-devel = %{EVRD}
Provides:	libxerces-c-devel = %{EVRD}
Conflicts:	%{_lib}xerces-c28-devel

%description -n %{devname}
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains development files such as header files you can use to
develop XML applications with Xerces-C++.

%files -n %{devname}
%{_includedir}/xercesc
%{_libdir}/libxerces-c.so
%{_libdir}/pkgconfig/xerces-c.pc

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for Xerces-C++ validating XML parser
Group:		Books/Other

%description doc
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

This package contains the documentation for Xerces-C++.

%files doc
%doc CREDITS LICENSE doc/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-netaccessor-curl \
	--enable-transcoder-icu \
%ifarch %{ix86}
	--disable-sse2 \
%endif
	--enable-msgloader-icu
%make

%install
%makeinstall_std

# cleanup
rm -f  %{buildroot}%{_libdir}/libxerces-c.*a


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:3.1.1-9
+ Revision: 814b2a1
- MassBuild#440: Increase release tag


